#include "act/controller.h"
#include "act/root.h"
#include <vector>
int main(int argc, char *argv[]) {
	root_controller_factory_t factory_l;
	std::vector<root_controller_t::mode_t> modes_l;
	modes_l.push_back(root_controller_t::mode_t::app);
	root_controller_t::configuration_t configuration_l(modes_l);
	root_controller_t* controller_l = factory_l.create(&configuration_l);
	controller_t::status_t status_l = controller_l->on_event(controller_t::event_t::start);
	factory_l.dispose(controller_l);
	return status_l;
}
